PKCS7(1SSL)

NOM
pkcs7 - Utilitaire PKCS#7

SYNOPSIS
openssl pkcs7 [-inform PEM|DER] [-outform PEM|DER] [-in nom_fichier] [-out nom_fichier] [-print_certs] [-text] [-noout] [-engine id]

DESCRIPTION
La commande pkcs7 traite les fichiers PKCS#7 au format DER ou PEM.

OPTIONS DE LA COMMANDE

-inform DER|PEM
    Indique le format d'entrée. Le format DER correspond à une structure PKCS#7 v1.5, encodé au format DER. Le format PEM (valeur par défaut) est une version encodée en base64 du format DER avec lignes d'en-tête et de pied de page.

-outform DER|PEM
    Cela indique le format de sortie. Les options ont la même signification que pour l'option -inform.

-in nom_fichier
    Le nom du fichier d'entrée. Par défaut, l'entrée standard est utilisée.

-out nom_fichier
    Le nom du fichier de sortie. Par défaut, la sortie standard est utilisée.

-print_certs
    Afficher tout certificat ou CRL contenu dans le fichier. Ils sont précédés par le sujet et l'émetteur, avec une entrée par ligne.

-text
    Afficher les détails des certificats plutôt qu'uniquement le nom du sujet et de l'émetteur.

-noout
    Ne pas afficher la version encodée de la structure PKCS#7 (ou des certificats en combinaison avec l'option -print_certs).

-engine id
    Indique un moteur (en utilisant son identifiant unique id), et force pkcs7 à essayer d'obtenir une référence fonctionnelle pour le moteur indiqué, et l'initialiser si nécessaire. Le moteur sera ensuite utilisé par défaut pour tous les algorithmes disponibles.

EXEMPLES
Convertir un fichier PKCS#7 du format PEM en DER :

 openssl pkcs7 -in file.pem -outform DER -out file.der

Afficher tous les certificats d'un fichier :

 openssl pkcs7 -in file.pem -print_certs -out certs.pem

NOTES
Le format PEM des fichiers PKCS#7 utilise les lignes suivantes au début et à la fin :

 -----BEGIN PKCS7-----
 -----END PKCS7-----

Pour assurer la compatibilité avec d'autres CA la version suivante est également acceptée :

 -----BEGIN CERTIFICATE-----
 -----END CERTIFICATE-----

RESTRICTIONS
Il n'y a pas d'option pour afficher tous les champs d'un fichier PKCS#7.

Ces routines PKCS#7 ne prennent en charge que la version 1.5 de PKCS#7 spécifiée par la RFC 2315. Actuellement, elles ne savent pas interpréter, par exemple, le nouveau CMS décrit dans la RFC 2630.

VOIR AUSSI
crl2pkcs7(1)

TRADUCTION
Cette page de manuel a été traduite par stolck en 2002 et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.